package ebai

import (
	"testing"

	"git.rosy.net.cn/baseapi/utils"
	"git.rosy.net.cn/jx-callback/business/jxutils/jxcontext"

	_ "git.rosy.net.cn/jx-callback/business/jxcallback/orderman"
	_ "git.rosy.net.cn/jx-callback/business/jxcallback/scheduler/defsch"
	"git.rosy.net.cn/jx-callback/globals/testinit"
)

const (
	// testShopBaiduID = "2233976901"
	// testShopID      = 100077

	testShopBaiduID = "2267254343"
	testShopID      = 2
)

func init() {
	testinit.Init()
}

func TestGetVendorCategories(t *testing.T) {
	catList, err := new(PurchaseHandler).GetVendorCategories(jxcontext.AdminCtx)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(catList, false))
}
